Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
PUTCDP OperationsSince 4.5.0SynchronousAuth Required

RevertVmFromCdpBackup

RevertVmFromCdpBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmInstanceUuidStringRequired

    The UUID of the VM instance.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • backupStorageUuidStringRequired

      The UUID of the backup storage.

    • groupIdlongRequired

      The group ID of the recovery points.

    • primaryStorageUuidForRootVolumeString

      Optional. The UUID of the primary storage for new root volume.

    • primaryStorageUuidForDataVolumeString

      Optional. The UUID of the primary storage for new data volume.

    • hostUuidString

      Optional. The UUID of the host.

    • useExistingVolumeboolean

      Optional. Use the recover data to overwrite existing volume or not.

    • recoverBandwidthlong

      Optional. The recover bandwidth.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/cdp-backups/{vmInstanceUuid}/actions

/zstack/v1/cdp-backups/{vmInstanceUuid}/actions

Operation ID

RevertVmFromCdpBackup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/cdp-backups/{vmInstanceUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"backupStorageUuid":"<backupStorageUuid>","groupId":1,"primaryStorageUuidForRootVolume":"<primaryStorageUuidForRootVolume>","primaryStorageUuidForDataVolume":"<primaryStorageUuidForDataVolume>","hostUuid":"<hostUuid>","useExistingVolume":true,"recoverBandwidth":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history